Package org.eclipse.m2m.atl.engine.vm

# Class ASM

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.ASM

public class ASM extends ASMOclAny
This class represents a transformation module, which can have fields.

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASM()`
`ASM(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(ASMField f)`
`void`
`addOperation(ASMOperation o)`
`ASMField`
`getField(String name)`
`List`
`getFields()`
`String`
`getName()`
`ASMOperation`
`getOperation(String name)`
`List`
`getOperations()`
`String`
`getVersion()`
`void`
`setName(String name)`
`void`
`setVersion(String version)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASM

public ASM()

### ASM

public ASM(String name)

## Method Details

### setName

public void setName(String name)

### getName

public String getName()

### addField

public void addField(ASMField f)

### getField

public ASMField getField(String name)

### getFields

public List getFields()

### addOperation

public void addOperation(ASMOperation o)

### getOperation

public ASMOperation getOperation(String name)

### getOperations

public List getOperations()

### setVersion

public void setVersion(String version)

### getVersion

public String getVersion()